#ifndef __ALTERA_XCVR_ATX_PLL_A10_RECONFIG_PARAMETERS_H__
#define __ALTERA_XCVR_ATX_PLL_A10_RECONFIG_PARAMETERS_H__

#ifdef ALTERA_XCVR_ATX_PLL_A10_DECLARE_RAM_ARRAY
#define ALTERA_XCVR_ATX_PLL_A10_RAM_SIZE 22
unsigned int altera_xcvr_atx_pll_a10_ram_array[22] = {
    0x102FFB6, /* [25:16]-DPRIO address=0x102; [15:8]-bit mask=0xFF; [7:5]-atx_pll_tank_voltage_fine=vreg_setting5(3'h5); [4:3]-atx_pll_tank_sel=lctank2(2'h2); [2:0]-atx_pll_tank_band=lc_band6(3'h6); */
    0x103BF21, /* [25:16]-DPRIO address=0x103; [15:8]-bit mask=0xBF; [7:7]-atx_pll_vco_bypass_enable=false(1'h0); [5:5]-atx_pll_cp_compensation_enable=true(1'h1); [4:2]-atx_pll_cp_testmode=cp_normal(3'h0); [1:1]-atx_pll_dsm_ecn_test_en=false(1'h0); [0:0]-atx_pll_lc_mode=lccmu_normal(1'h1); */
    0x1047F35, /* [25:16]-DPRIO address=0x104; [15:8]-bit mask=0x7F; [6:4]-atx_pll_cp_current_setting=cp_current_setting22(3'h3); [3:2]-atx_pll_lf_ripplecap=lf_ripple_cap_0(2'h1); [1:0]-atx_pll_lf_resistance=lf_setting1(2'h1); */
    0x1054701, /* [25:16]-DPRIO address=0x105; [15:8]-bit mask=0x47; [6:6]-atx_pll_l_counter_enable=true(1'h0); [2:0]-atx_pll_cp_current_setting=cp_current_setting22(3'h1); */
    0x1063F32, /* [25:16]-DPRIO address=0x106; [15:8]-bit mask=0x3F; [5:4]-atx_pll_lf_cbig_size=lf_cbig_setting4(2'h3); [3:2]-atx_pll_cp_lf_3rd_pole_freq=lf_3rd_pole_setting0(2'h0); [1:1]-atx_pll_cp_lf_order=lf_3rd_order(1'h1); [0:0]-atx_pll_regulator_bypass=reg_enable(1'h0); */
    0x1073C00, /* [25:16]-DPRIO address=0x107; [15:8]-bit mask=0x3C; [5:5]-atx_pll_enable_hclk=hclk_disabled(1'h0); [4:4]-atx_pll_dsm_mode=dsm_mode_integer(1'h0); [3:2]-atx_pll_ref_clk_div=1(2'h0); */
    0x1087F09, /* [25:16]-DPRIO address=0x108; [15:8]-bit mask=0x7F; [6:5]-atx_pll_lc_to_fpll_l_counter=lcounter_setting0(2'h0); [4:4]-atx_pll_fpll_refclk_selection=select_vco_output(1'h0); [3:3]-atx_pll_d2a_voltage=d2a_setting_4(1'h1); [2:0]-atx_pll_l_counter=2(3'h1); */
    0x109FF32, /* [25:16]-DPRIO address=0x109; [15:8]-bit mask=0xFF; [7:0]-atx_pll_m_counter=50(8'h32); */
    0x10A7F04, /* [25:16]-DPRIO address=0x10A; [15:8]-bit mask=0x7F; [6:6]-atx_pll_cascadeclk_test=cascadetest_off(1'h0); [5:3]-atx_pll_lc_to_fpll_l_counter=lcounter_setting0(3'h0); [2:0]-atx_pll_underrange_voltage=under_setting4(3'h4); */
    0x10BE100, /* [25:16]-DPRIO address=0x10B; [15:8]-bit mask=0xE1; [7:7]-atx_pll_dsm_ecn_bypass=false(1'h0); [6:5]-atx_pll_dsm_out_sel=pll_dsm_disable(2'h0); [0:0]-atx_pll_xcpvco_xchgpmplf_cp_current_boost=normal_setting(1'h0); */
    0x10CFF01, /* [25:16]-DPRIO address=0x10C; [15:8]-bit mask=0xFF; [7:0]-atx_pll_dsm_fractional_division=1(8'h1); */
    0x10DFF00, /* [25:16]-DPRIO address=0x10D; [15:8]-bit mask=0xFF; [7:0]-atx_pll_dsm_fractional_division=1(8'h0); */
    0x10EFF00, /* [25:16]-DPRIO address=0x10E; [15:8]-bit mask=0xFF; [7:0]-atx_pll_dsm_fractional_division=1(8'h0); */
    0x10FFF00, /* [25:16]-DPRIO address=0x10F; [15:8]-bit mask=0xFF; [7:0]-atx_pll_dsm_fractional_division=1(8'h0); */
    0x1103D15, /* [25:16]-DPRIO address=0x110; [15:8]-bit mask=0x3D; [5:3]-atx_pll_iqclk_mux_sel=iqtxrxclk0(3'h2); [2:2]-atx_pll_fb_select=direct_fb(1'h1); [0:0]-atx_pll_dsm_fractional_value_ready=pll_k_ready(1'h1); */
    0x1117000, /* [25:16]-DPRIO address=0x111; [15:8]-bit mask=0x70; [6:4]-atx_pll_overrange_voltage=over_setting0(3'h0); */
    0x118C0C0, /* [25:16]-DPRIO address=0x118; [15:8]-bit mask=0xC0; [7:6]-atx_pll_lf_cbig_size=lf_cbig_setting4(2'h3); */
    0x11AE080, /* [25:16]-DPRIO address=0x11A; [15:8]-bit mask=0xE0; [7:5]-atx_pll_d2a_voltage=d2a_setting_4(3'h4); */
    0x11BC000, /* [25:16]-DPRIO address=0x11B; [15:8]-bit mask=0xC0; [7:6]-atx_pll_pfd_delay_compensation=normal_delay(2'h0); */
    0x11CE000, /* [25:16]-DPRIO address=0x11C; [15:8]-bit mask=0xE0; [7:5]-atx_pll_tank_voltage_coarse=vreg_setting_coarse0(3'h0); */
    0x11DE000, /* [25:16]-DPRIO address=0x11D; [15:8]-bit mask=0xE0; [7:5]-atx_pll_output_regulator_supply=vreg1v_setting0(3'h0); */
    0x11F6000  /* [25:16]-DPRIO address=0x11F; [15:8]-bit mask=0x60; [6:5]-atx_pll_pfd_pulse_width=pulse_width_setting0(2'h0); */
};
#endif

#define ALTERA_XCVR_ATX_PLL_A10_HSSI_PMA_LC_REFCLK_SELECT_MUX_POWERDOWN_MODE_VALUE "powerup"

#define ALTERA_XCVR_ATX_PLL_A10_HSSI_PMA_LC_REFCLK_SELECT_MUX_REFCLK_SELECT_VALUE "ref_iqclk0"

#define ALTERA_XCVR_ATX_PLL_A10_HSSI_PMA_LC_REFCLK_SELECT_MUX_SILICON_REV_VALUE "20nm4"

#define ALTERA_XCVR_ATX_PLL_A10_HSSI_PMA_LC_REFCLK_SELECT_MUX_INCLK0_LOGICAL_TO_PHYSICAL_MAPPING_VALUE "ref_iqclk0"

#define ALTERA_XCVR_ATX_PLL_A10_HSSI_PMA_LC_REFCLK_SELECT_MUX_INCLK1_LOGICAL_TO_PHYSICAL_MAPPING_VALUE "power_down"

#define ALTERA_XCVR_ATX_PLL_A10_HSSI_PMA_LC_REFCLK_SELECT_MUX_INCLK2_LOGICAL_TO_PHYSICAL_MAPPING_VALUE "power_down"

#define ALTERA_XCVR_ATX_PLL_A10_HSSI_PMA_LC_REFCLK_SELECT_MUX_INCLK3_LOGICAL_TO_PHYSICAL_MAPPING_VALUE "power_down"

#define ALTERA_XCVR_ATX_PLL_A10_HSSI_PMA_LC_REFCLK_SELECT_MUX_INCLK4_LOGICAL_TO_PHYSICAL_MAPPING_VALUE "power_down"

#define ALTERA_XCVR_ATX_PLL_A10_HSSI_REFCLK_DIVIDER_SILICON_REV_VALUE "20nm4"

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_IS_CASCADED_PLL_VALUE "false"

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CGB_DIV_VALUE 1

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_PMA_WIDTH_VALUE 40

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_COMPENSATION_ENABLE_VALUE "true"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_COMPENSATION_ENABLE_ADDR_OFST 259
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_COMPENSATION_ENABLE_ADDR_FIELD_OFST 5
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_COMPENSATION_ENABLE_ADDR_FIELD_HIGH 5
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_COMPENSATION_ENABLE_ADDR_FIELD_SIZE 1
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_COMPENSATION_ENABLE_ADDR_FIELD_BITMASK 0x00000020
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_COMPENSATION_ENABLE_ADDR_FIELD_VALMASK 0x00000020
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_COMPENSATION_ENABLE_ADDR_FIELD_VALUE 0x1

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_CURRENT_SETTING_VALUE "cp_current_setting22"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_CURRENT_SETTING_ADDR0_OFST 260
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_CURRENT_SETTING_ADDR0_FIELD_OFST 4
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_CURRENT_SETTING_ADDR0_FIELD_HIGH 6
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_CURRENT_SETTING_ADDR0_FIELD_SIZE 3
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_CURRENT_SETTING_ADDR0_FIELD_BITMASK 0x00000070
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_CURRENT_SETTING_ADDR0_FIELD_VALMASK 0x00000030
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_CURRENT_SETTING_ADDR0_FIELD_VALUE 0x3
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_CURRENT_SETTING_ADDR1_OFST 261
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_CURRENT_SETTING_ADDR1_FIELD_OFST 0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_CURRENT_SETTING_ADDR1_FIELD_HIGH 2
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_CURRENT_SETTING_ADDR1_FIELD_SIZE 3
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_CURRENT_SETTING_ADDR1_FIELD_BITMASK 0x00000007
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_CURRENT_SETTING_ADDR1_FIELD_VALMASK 0x00000001
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_CURRENT_SETTING_ADDR1_FIELD_VALUE 0x1

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_TESTMODE_VALUE "cp_normal"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_TESTMODE_ADDR_OFST 259
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_TESTMODE_ADDR_FIELD_OFST 2
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_TESTMODE_ADDR_FIELD_HIGH 4
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_TESTMODE_ADDR_FIELD_SIZE 3
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_TESTMODE_ADDR_FIELD_BITMASK 0x0000001C
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_TESTMODE_ADDR_FIELD_VALMASK 0x00000000
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_TESTMODE_ADDR_FIELD_VALUE 0x0

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_LF_3RD_POLE_FREQ_VALUE "lf_3rd_pole_setting0"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_LF_3RD_POLE_FREQ_ADDR_OFST 262
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_LF_3RD_POLE_FREQ_ADDR_FIELD_OFST 2
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_LF_3RD_POLE_FREQ_ADDR_FIELD_HIGH 3
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_LF_3RD_POLE_FREQ_ADDR_FIELD_SIZE 2
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_LF_3RD_POLE_FREQ_ADDR_FIELD_BITMASK 0x0000000C
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_LF_3RD_POLE_FREQ_ADDR_FIELD_VALMASK 0x00000000
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_LF_3RD_POLE_FREQ_ADDR_FIELD_VALUE 0x0

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_CBIG_SIZE_VALUE "lf_cbig_setting4"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_CBIG_SIZE_ADDR0_OFST 262
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_CBIG_SIZE_ADDR0_FIELD_OFST 4
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_CBIG_SIZE_ADDR0_FIELD_HIGH 5
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_CBIG_SIZE_ADDR0_FIELD_SIZE 2
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_CBIG_SIZE_ADDR0_FIELD_BITMASK 0x00000030
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_CBIG_SIZE_ADDR0_FIELD_VALMASK 0x00000030
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_CBIG_SIZE_ADDR0_FIELD_VALUE 0x3
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_CBIG_SIZE_ADDR1_OFST 280
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_CBIG_SIZE_ADDR1_FIELD_OFST 6
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_CBIG_SIZE_ADDR1_FIELD_HIGH 7
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_CBIG_SIZE_ADDR1_FIELD_SIZE 2
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_CBIG_SIZE_ADDR1_FIELD_BITMASK 0x000000C0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_CBIG_SIZE_ADDR1_FIELD_VALMASK 0x000000C0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_CBIG_SIZE_ADDR1_FIELD_VALUE 0x3

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_LF_ORDER_VALUE "lf_3rd_order"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_LF_ORDER_ADDR_OFST 262
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_LF_ORDER_ADDR_FIELD_OFST 1
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_LF_ORDER_ADDR_FIELD_HIGH 1
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_LF_ORDER_ADDR_FIELD_SIZE 1
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_LF_ORDER_ADDR_FIELD_BITMASK 0x00000002
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_LF_ORDER_ADDR_FIELD_VALMASK 0x00000002
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CP_LF_ORDER_ADDR_FIELD_VALUE 0x1

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_RESISTANCE_VALUE "lf_setting1"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_RESISTANCE_ADDR_OFST 260
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_RESISTANCE_ADDR_FIELD_OFST 0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_RESISTANCE_ADDR_FIELD_HIGH 1
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_RESISTANCE_ADDR_FIELD_SIZE 2
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_RESISTANCE_ADDR_FIELD_BITMASK 0x00000003
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_RESISTANCE_ADDR_FIELD_VALMASK 0x00000001
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_RESISTANCE_ADDR_FIELD_VALUE 0x1

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_RIPPLECAP_VALUE "lf_ripple_cap_0"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_RIPPLECAP_ADDR_OFST 260
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_RIPPLECAP_ADDR_FIELD_OFST 2
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_RIPPLECAP_ADDR_FIELD_HIGH 3
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_RIPPLECAP_ADDR_FIELD_SIZE 2
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_RIPPLECAP_ADDR_FIELD_BITMASK 0x0000000C
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_RIPPLECAP_ADDR_FIELD_VALMASK 0x00000004
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LF_RIPPLECAP_ADDR_FIELD_VALUE 0x1

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_SEL_VALUE "lctank2"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_SEL_ADDR_OFST 258
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_SEL_ADDR_FIELD_OFST 3
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_SEL_ADDR_FIELD_HIGH 4
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_SEL_ADDR_FIELD_SIZE 2
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_SEL_ADDR_FIELD_BITMASK 0x00000018
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_SEL_ADDR_FIELD_VALMASK 0x00000010
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_SEL_ADDR_FIELD_VALUE 0x2

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_BAND_VALUE "lc_band6"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_BAND_ADDR_OFST 258
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_BAND_ADDR_FIELD_OFST 0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_BAND_ADDR_FIELD_HIGH 2
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_BAND_ADDR_FIELD_SIZE 3
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_BAND_ADDR_FIELD_BITMASK 0x00000007
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_BAND_ADDR_FIELD_VALMASK 0x00000006
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_BAND_ADDR_FIELD_VALUE 0x6

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_VOLTAGE_COARSE_VALUE "vreg_setting_coarse0"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_VOLTAGE_COARSE_ADDR_OFST 284
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_VOLTAGE_COARSE_ADDR_FIELD_OFST 5
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_VOLTAGE_COARSE_ADDR_FIELD_HIGH 7
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_VOLTAGE_COARSE_ADDR_FIELD_SIZE 3
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_VOLTAGE_COARSE_ADDR_FIELD_BITMASK 0x000000E0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_VOLTAGE_COARSE_ADDR_FIELD_VALMASK 0x00000000
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_VOLTAGE_COARSE_ADDR_FIELD_VALUE 0x0

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_VOLTAGE_FINE_VALUE "vreg_setting5"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_VOLTAGE_FINE_ADDR_OFST 258
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_VOLTAGE_FINE_ADDR_FIELD_OFST 5
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_VOLTAGE_FINE_ADDR_FIELD_HIGH 7
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_VOLTAGE_FINE_ADDR_FIELD_SIZE 3
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_VOLTAGE_FINE_ADDR_FIELD_BITMASK 0x000000E0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_VOLTAGE_FINE_ADDR_FIELD_VALMASK 0x000000A0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_TANK_VOLTAGE_FINE_ADDR_FIELD_VALUE 0x5

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_OUTPUT_REGULATOR_SUPPLY_VALUE "vreg1v_setting0"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_OUTPUT_REGULATOR_SUPPLY_ADDR_OFST 285
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_OUTPUT_REGULATOR_SUPPLY_ADDR_FIELD_OFST 5
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_OUTPUT_REGULATOR_SUPPLY_ADDR_FIELD_HIGH 7
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_OUTPUT_REGULATOR_SUPPLY_ADDR_FIELD_SIZE 3
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_OUTPUT_REGULATOR_SUPPLY_ADDR_FIELD_BITMASK 0x000000E0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_OUTPUT_REGULATOR_SUPPLY_ADDR_FIELD_VALMASK 0x00000000
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_OUTPUT_REGULATOR_SUPPLY_ADDR_FIELD_VALUE 0x0

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_OVERRANGE_VOLTAGE_VALUE "over_setting0"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_OVERRANGE_VOLTAGE_ADDR_OFST 273
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_OVERRANGE_VOLTAGE_ADDR_FIELD_OFST 4
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_OVERRANGE_VOLTAGE_ADDR_FIELD_HIGH 6
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_OVERRANGE_VOLTAGE_ADDR_FIELD_SIZE 3
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_OVERRANGE_VOLTAGE_ADDR_FIELD_BITMASK 0x00000070
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_OVERRANGE_VOLTAGE_ADDR_FIELD_VALMASK 0x00000000
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_OVERRANGE_VOLTAGE_ADDR_FIELD_VALUE 0x0

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_UNDERRANGE_VOLTAGE_VALUE "under_setting4"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_UNDERRANGE_VOLTAGE_ADDR_OFST 266
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_UNDERRANGE_VOLTAGE_ADDR_FIELD_OFST 0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_UNDERRANGE_VOLTAGE_ADDR_FIELD_HIGH 2
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_UNDERRANGE_VOLTAGE_ADDR_FIELD_SIZE 3
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_UNDERRANGE_VOLTAGE_ADDR_FIELD_BITMASK 0x00000007
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_UNDERRANGE_VOLTAGE_ADDR_FIELD_VALMASK 0x00000004
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_UNDERRANGE_VOLTAGE_ADDR_FIELD_VALUE 0x4

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_FB_SELECT_VALUE "direct_fb"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_FB_SELECT_ADDR_OFST 272
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_FB_SELECT_ADDR_FIELD_OFST 2
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_FB_SELECT_ADDR_FIELD_HIGH 2
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_FB_SELECT_ADDR_FIELD_SIZE 1
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_FB_SELECT_ADDR_FIELD_BITMASK 0x00000004
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_FB_SELECT_ADDR_FIELD_VALMASK 0x00000004
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_FB_SELECT_ADDR_FIELD_VALUE 0x1

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_D2A_VOLTAGE_VALUE "d2a_setting_4"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_D2A_VOLTAGE_ADDR0_OFST 264
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_D2A_VOLTAGE_ADDR0_FIELD_OFST 3
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_D2A_VOLTAGE_ADDR0_FIELD_HIGH 3
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_D2A_VOLTAGE_ADDR0_FIELD_SIZE 1
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_D2A_VOLTAGE_ADDR0_FIELD_BITMASK 0x00000008
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_D2A_VOLTAGE_ADDR0_FIELD_VALMASK 0x00000008
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_D2A_VOLTAGE_ADDR0_FIELD_VALUE 0x1
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_D2A_VOLTAGE_ADDR1_OFST 282
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_D2A_VOLTAGE_ADDR1_FIELD_OFST 5
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_D2A_VOLTAGE_ADDR1_FIELD_HIGH 7
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_D2A_VOLTAGE_ADDR1_FIELD_SIZE 3
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_D2A_VOLTAGE_ADDR1_FIELD_BITMASK 0x000000E0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_D2A_VOLTAGE_ADDR1_FIELD_VALMASK 0x00000080
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_D2A_VOLTAGE_ADDR1_FIELD_VALUE 0x4

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_MODE_VALUE "dsm_mode_integer"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_MODE_ADDR_OFST 263
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_MODE_ADDR_FIELD_OFST 4
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_MODE_ADDR_FIELD_HIGH 4
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_MODE_ADDR_FIELD_SIZE 1
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_MODE_ADDR_FIELD_BITMASK 0x00000010
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_MODE_ADDR_FIELD_VALMASK 0x00000000
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_MODE_ADDR_FIELD_VALUE 0x0

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_OUT_SEL_VALUE "pll_dsm_disable"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_OUT_SEL_ADDR_OFST 267
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_OUT_SEL_ADDR_FIELD_OFST 5
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_OUT_SEL_ADDR_FIELD_HIGH 6
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_OUT_SEL_ADDR_FIELD_SIZE 2
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_OUT_SEL_ADDR_FIELD_BITMASK 0x00000060
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_OUT_SEL_ADDR_FIELD_VALMASK 0x00000000
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_OUT_SEL_ADDR_FIELD_VALUE 0x0

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_ECN_BYPASS_VALUE "false"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_ECN_BYPASS_ADDR_OFST 267
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_ECN_BYPASS_ADDR_FIELD_OFST 7
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_ECN_BYPASS_ADDR_FIELD_HIGH 7
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_ECN_BYPASS_ADDR_FIELD_SIZE 1
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_ECN_BYPASS_ADDR_FIELD_BITMASK 0x00000080
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_ECN_BYPASS_ADDR_FIELD_VALMASK 0x00000000
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_ECN_BYPASS_ADDR_FIELD_VALUE 0x0

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_ECN_TEST_EN_VALUE "false"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_ECN_TEST_EN_ADDR_OFST 259
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_ECN_TEST_EN_ADDR_FIELD_OFST 1
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_ECN_TEST_EN_ADDR_FIELD_HIGH 1
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_ECN_TEST_EN_ADDR_FIELD_SIZE 1
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_ECN_TEST_EN_ADDR_FIELD_BITMASK 0x00000002
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_ECN_TEST_EN_ADDR_FIELD_VALMASK 0x00000000
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_ECN_TEST_EN_ADDR_FIELD_VALUE 0x0

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_VALUE "1"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR0_OFST 268
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR0_FIELD_OFST 0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR0_FIELD_HIGH 7
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR0_FIELD_SIZE 8
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR0_FIELD_BITMASK 0x000000FF
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR0_FIELD_VALMASK 0x00000001
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR0_FIELD_VALUE 0x1
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR1_OFST 269
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR1_FIELD_OFST 0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR1_FIELD_HIGH 7
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR1_FIELD_SIZE 8
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR1_FIELD_BITMASK 0x000000FF
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR1_FIELD_VALMASK 0x00000000
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR1_FIELD_VALUE 0x0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR2_OFST 270
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR2_FIELD_OFST 0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR2_FIELD_HIGH 7
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR2_FIELD_SIZE 8
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR2_FIELD_BITMASK 0x000000FF
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR2_FIELD_VALMASK 0x00000000
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR2_FIELD_VALUE 0x0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR3_OFST 271
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR3_FIELD_OFST 0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR3_FIELD_HIGH 7
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR3_FIELD_SIZE 8
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR3_FIELD_BITMASK 0x000000FF
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR3_FIELD_VALMASK 0x00000000
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_DIVISION_ADDR3_FIELD_VALUE 0x0

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_VALUE_READY_VALUE "pll_k_ready"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_VALUE_READY_ADDR_OFST 272
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_VALUE_READY_ADDR_FIELD_OFST 0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_VALUE_READY_ADDR_FIELD_HIGH 0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_VALUE_READY_ADDR_FIELD_SIZE 1
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_VALUE_READY_ADDR_FIELD_BITMASK 0x00000001
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_VALUE_READY_ADDR_FIELD_VALMASK 0x00000001
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DSM_FRACTIONAL_VALUE_READY_ADDR_FIELD_VALUE 0x1

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_IQCLK_MUX_SEL_VALUE "iqtxrxclk0"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_IQCLK_MUX_SEL_ADDR_OFST 272
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_IQCLK_MUX_SEL_ADDR_FIELD_OFST 3
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_IQCLK_MUX_SEL_ADDR_FIELD_HIGH 5
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_IQCLK_MUX_SEL_ADDR_FIELD_SIZE 3
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_IQCLK_MUX_SEL_ADDR_FIELD_BITMASK 0x00000038
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_IQCLK_MUX_SEL_ADDR_FIELD_VALMASK 0x00000010
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_IQCLK_MUX_SEL_ADDR_FIELD_VALUE 0x2

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_VCO_BYPASS_ENABLE_VALUE "false"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_VCO_BYPASS_ENABLE_ADDR_OFST 259
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_VCO_BYPASS_ENABLE_ADDR_FIELD_OFST 7
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_VCO_BYPASS_ENABLE_ADDR_FIELD_HIGH 7
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_VCO_BYPASS_ENABLE_ADDR_FIELD_SIZE 1
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_VCO_BYPASS_ENABLE_ADDR_FIELD_BITMASK 0x00000080
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_VCO_BYPASS_ENABLE_ADDR_FIELD_VALMASK 0x00000000
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_VCO_BYPASS_ENABLE_ADDR_FIELD_VALUE 0x0

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_L_COUNTER_VALUE 2
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_L_COUNTER_ADDR_OFST 264
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_L_COUNTER_ADDR_FIELD_OFST 0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_L_COUNTER_ADDR_FIELD_HIGH 2
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_L_COUNTER_ADDR_FIELD_SIZE 3
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_L_COUNTER_ADDR_FIELD_BITMASK 0x00000007
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_L_COUNTER_ADDR_FIELD_VALMASK 0x00000001
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_L_COUNTER_ADDR_FIELD_VALUE 0x1

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_L_COUNTER_ENABLE_VALUE "true"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_L_COUNTER_ENABLE_ADDR_OFST 261
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_L_COUNTER_ENABLE_ADDR_FIELD_OFST 6
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_L_COUNTER_ENABLE_ADDR_FIELD_HIGH 6
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_L_COUNTER_ENABLE_ADDR_FIELD_SIZE 1
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_L_COUNTER_ENABLE_ADDR_FIELD_BITMASK 0x00000040
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_L_COUNTER_ENABLE_ADDR_FIELD_VALMASK 0x00000000
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_L_COUNTER_ENABLE_ADDR_FIELD_VALUE 0x0

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CASCADECLK_TEST_VALUE "cascadetest_off"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CASCADECLK_TEST_ADDR_OFST 266
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CASCADECLK_TEST_ADDR_FIELD_OFST 6
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CASCADECLK_TEST_ADDR_FIELD_HIGH 6
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CASCADECLK_TEST_ADDR_FIELD_SIZE 1
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CASCADECLK_TEST_ADDR_FIELD_BITMASK 0x00000040
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CASCADECLK_TEST_ADDR_FIELD_VALMASK 0x00000000
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_CASCADECLK_TEST_ADDR_FIELD_VALUE 0x0

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_HCLK_DIVIDE_VALUE 1

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_ENABLE_HCLK_VALUE "hclk_disabled"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_ENABLE_HCLK_ADDR_OFST 263
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_ENABLE_HCLK_ADDR_FIELD_OFST 5
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_ENABLE_HCLK_ADDR_FIELD_HIGH 5
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_ENABLE_HCLK_ADDR_FIELD_SIZE 1
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_ENABLE_HCLK_ADDR_FIELD_BITMASK 0x00000020
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_ENABLE_HCLK_ADDR_FIELD_VALMASK 0x00000000
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_ENABLE_HCLK_ADDR_FIELD_VALUE 0x0

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_M_COUNTER_VALUE 50
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_M_COUNTER_ADDR_OFST 265
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_M_COUNTER_ADDR_FIELD_OFST 0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_M_COUNTER_ADDR_FIELD_HIGH 7
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_M_COUNTER_ADDR_FIELD_SIZE 8
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_M_COUNTER_ADDR_FIELD_BITMASK 0x000000FF
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_M_COUNTER_ADDR_FIELD_VALMASK 0x00000032
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_M_COUNTER_ADDR_FIELD_VALUE 0x32

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_REF_CLK_DIV_VALUE 1
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_REF_CLK_DIV_ADDR_OFST 263
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_REF_CLK_DIV_ADDR_FIELD_OFST 2
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_REF_CLK_DIV_ADDR_FIELD_HIGH 3
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_REF_CLK_DIV_ADDR_FIELD_SIZE 2
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_REF_CLK_DIV_ADDR_FIELD_BITMASK 0x0000000C
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_REF_CLK_DIV_ADDR_FIELD_VALMASK 0x00000000
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_REF_CLK_DIV_ADDR_FIELD_VALUE 0x0

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_BW_SEL_VALUE "low"

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DATARATE_VALUE "12500000000 bps"

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_DEVICE_VARIANT_VALUE "device1"

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_INITIAL_SETTINGS_VALUE "true"

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LC_MODE_VALUE "lccmu_normal"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LC_MODE_ADDR_OFST 259
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LC_MODE_ADDR_FIELD_OFST 0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LC_MODE_ADDR_FIELD_HIGH 0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LC_MODE_ADDR_FIELD_SIZE 1
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LC_MODE_ADDR_FIELD_BITMASK 0x00000001
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LC_MODE_ADDR_FIELD_VALMASK 0x00000001
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LC_MODE_ADDR_FIELD_VALUE 0x1

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_OUTPUT_CLOCK_FREQUENCY_VALUE "6250000000 Hz"

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_POWERDOWN_MODE_VALUE "powerup"

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_PROT_MODE_VALUE "basic_tx"

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_REFERENCE_CLOCK_FREQUENCY_VALUE "125000000 Hz"

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_SUP_MODE_VALUE "user_mode"

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_REGULATOR_BYPASS_VALUE "reg_enable"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_REGULATOR_BYPASS_ADDR_OFST 262
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_REGULATOR_BYPASS_ADDR_FIELD_OFST 0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_REGULATOR_BYPASS_ADDR_FIELD_HIGH 0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_REGULATOR_BYPASS_ADDR_FIELD_SIZE 1
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_REGULATOR_BYPASS_ADDR_FIELD_BITMASK 0x00000001
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_REGULATOR_BYPASS_ADDR_FIELD_VALMASK 0x00000000
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_REGULATOR_BYPASS_ADDR_FIELD_VALUE 0x0

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_VCO_FREQ_VALUE "12500000000 Hz"

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_IS_OTN_VALUE "false"

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_IS_SDI_VALUE "false"

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_PRIMARY_USE_VALUE "hssi_x1"

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_FPLL_REFCLK_SELECTION_VALUE "select_vco_output"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_FPLL_REFCLK_SELECTION_ADDR_OFST 264
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_FPLL_REFCLK_SELECTION_ADDR_FIELD_OFST 4
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_FPLL_REFCLK_SELECTION_ADDR_FIELD_HIGH 4
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_FPLL_REFCLK_SELECTION_ADDR_FIELD_SIZE 1
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_FPLL_REFCLK_SELECTION_ADDR_FIELD_BITMASK 0x00000010
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_FPLL_REFCLK_SELECTION_ADDR_FIELD_VALMASK 0x00000000
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_FPLL_REFCLK_SELECTION_ADDR_FIELD_VALUE 0x0

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LC_TO_FPLL_L_COUNTER_VALUE "lcounter_setting0"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LC_TO_FPLL_L_COUNTER_ADDR0_OFST 264
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LC_TO_FPLL_L_COUNTER_ADDR0_FIELD_OFST 5
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LC_TO_FPLL_L_COUNTER_ADDR0_FIELD_HIGH 6
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LC_TO_FPLL_L_COUNTER_ADDR0_FIELD_SIZE 2
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LC_TO_FPLL_L_COUNTER_ADDR0_FIELD_BITMASK 0x00000060
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LC_TO_FPLL_L_COUNTER_ADDR0_FIELD_VALMASK 0x00000000
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LC_TO_FPLL_L_COUNTER_ADDR0_FIELD_VALUE 0x0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LC_TO_FPLL_L_COUNTER_ADDR1_OFST 266
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LC_TO_FPLL_L_COUNTER_ADDR1_FIELD_OFST 3
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LC_TO_FPLL_L_COUNTER_ADDR1_FIELD_HIGH 5
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LC_TO_FPLL_L_COUNTER_ADDR1_FIELD_SIZE 3
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LC_TO_FPLL_L_COUNTER_ADDR1_FIELD_BITMASK 0x00000038
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LC_TO_FPLL_L_COUNTER_ADDR1_FIELD_VALMASK 0x00000000
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_LC_TO_FPLL_L_COUNTER_ADDR1_FIELD_VALUE 0x0

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_PFD_DELAY_COMPENSATION_VALUE "normal_delay"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_PFD_DELAY_COMPENSATION_ADDR_OFST 283
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_PFD_DELAY_COMPENSATION_ADDR_FIELD_OFST 6
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_PFD_DELAY_COMPENSATION_ADDR_FIELD_HIGH 7
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_PFD_DELAY_COMPENSATION_ADDR_FIELD_SIZE 2
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_PFD_DELAY_COMPENSATION_ADDR_FIELD_BITMASK 0x000000C0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_PFD_DELAY_COMPENSATION_ADDR_FIELD_VALMASK 0x00000000
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_PFD_DELAY_COMPENSATION_ADDR_FIELD_VALUE 0x0

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_XCPVCO_XCHGPMPLF_CP_CURRENT_BOOST_VALUE "normal_setting"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_XCPVCO_XCHGPMPLF_CP_CURRENT_BOOST_ADDR_OFST 267
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_XCPVCO_XCHGPMPLF_CP_CURRENT_BOOST_ADDR_FIELD_OFST 0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_XCPVCO_XCHGPMPLF_CP_CURRENT_BOOST_ADDR_FIELD_HIGH 0
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_XCPVCO_XCHGPMPLF_CP_CURRENT_BOOST_ADDR_FIELD_SIZE 1
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_XCPVCO_XCHGPMPLF_CP_CURRENT_BOOST_ADDR_FIELD_BITMASK 0x00000001
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_XCPVCO_XCHGPMPLF_CP_CURRENT_BOOST_ADDR_FIELD_VALMASK 0x00000000
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_XCPVCO_XCHGPMPLF_CP_CURRENT_BOOST_ADDR_FIELD_VALUE 0x0

#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_PFD_PULSE_WIDTH_VALUE "pulse_width_setting0"
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_PFD_PULSE_WIDTH_ADDR_OFST 287
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_PFD_PULSE_WIDTH_ADDR_FIELD_OFST 5
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_PFD_PULSE_WIDTH_ADDR_FIELD_HIGH 6
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_PFD_PULSE_WIDTH_ADDR_FIELD_SIZE 2
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_PFD_PULSE_WIDTH_ADDR_FIELD_BITMASK 0x00000060
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_PFD_PULSE_WIDTH_ADDR_FIELD_VALMASK 0x00000000
#define ALTERA_XCVR_ATX_PLL_A10_ATX_PLL_PFD_PULSE_WIDTH_ADDR_FIELD_VALUE 0x0

#endif //__ALTERA_XCVR_ATX_PLL_A10_RECONFIG_PARAMETERS_H__
